GETLIST(1)

NAME
getlist - get a list from an NNTP server

SYNOPSIS
getlist [ -A ] [ -h host ] [ list [ pattern [ types ] ] ]

DESCRIPTION
The getlist program obtains a list from an NNTP server and sends it to standard output.

The list may be one of active, active.times, distributions, or newsgroups. These values request the active, active.times, <pathetc in inn.conf>/distributions. or <pathdb in inn.conf>/newsgroups files, respectively.

OPTIONS

-A  If the ``-A'' flag is used, then the program tries to authenticate as per passwd.nntp before issuing LIST command.

-h  If the ``-h'' flag is used, then the program connects to the server on the specified host. The default is to connect to the server specified in the inn.conf file.

If the list parameter is active, then the pattern and types parameters may be used to limit the output. When pattern is used, only active lines with groups that match according to uwildmat(3) are printed. When types is also given, only active lines that have a fourth field starting with a character found in types are printed.

For example, the following command will obtain the one-line descriptions of all newsgroups found on UUNET:
    getlist -h news.uu.net newsgroups

The following line lists all groups where local postings are permitted, are moderated or aliased:
    getlist active '*' ym=

Note that the listing files other than the active file is a common extension to the NNTP protocol and may not be available on all servers.

HISTORY
Written by Landon Curt Noll <chongo@toad.com> for InterNetNews.

SEE ALSO
active(5), active.times(5), inn.conf(5), nnrpd(8), uwildmat(3).